#
# spec file for package yast2-geo-cluster
#
# Copyright (c) 2016 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           yast2-geo-cluster
Version:        3.1.14
Release:        2.3

%define _fwdefdir /etc/sysconfig/SuSEfirewall2.d/services
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source0:        %{name}-%{version}.tar.bz2
Source1:        geo-cluster.fwd

Requires:       yast2
BuildRequires:  perl-XML-Writer
BuildRequires:  update-desktop-files
BuildRequires:  yast2
BuildRequires:  yast2-devtools >= 3.1.10
BuildRequires:  yast2-testsuite

BuildArch:      noarch

Requires:       yast2-ruby-bindings >= 1.0.0

Summary:        Configuration of booth
License:        GPL-2.0
Group:          System/YaST

%description
-

%prep
%setup -n %{name}-%{version}

%build
%yast_build

%install
%yast_install

mkdir -p $RPM_BUILD_ROOT/%{_fwdefdir}
install -m 644 %{S:1} $RPM_BUILD_ROOT/%{_fwdefdir}/booth

%files
%defattr(-,root,root)
%dir %{yast_yncludedir}/geo-cluster
%{yast_yncludedir}/geo-cluster/*
%{yast_clientdir}/geo-cluster.rb
%{yast_clientdir}/geo-cluster_*.rb
%{yast_moduledir}/*
%{yast_desktopdir}/geo-cluster.desktop
%{yast_scrconfdir}/*.scr
%{yast_agentdir}/ag_booth
%doc %{yast_docdir}
%config %{_fwdefdir}/booth

%changelog
* Mon Jun  6 2016 igonzalezsosa@suse.com
- Stop generating autodocs (fate#320356)
- Version 3.1.14
* Mon May 30 2016 nwang@suse.com
- bsc#982166. Disable "Edit" and "Del" buttons when no conf.
- Version 3.1.13
* Thu Feb 18 2016 nwang@suse.com
- bsc#967024. Correct the popup message.
- Version 3.1.12
* Mon Nov  2 2015 nwang@suse.com
- BNC#952225. Polish the doc for Authentication Configuration.
- Version 3.1.11
* Thu Aug 13 2015 nwang@suse.com
- Fate#319318. Support authentification.
- Version 3.1.10
* Mon Mar  2 2015 nwang@suse.com
- BNC#920132. Create "/etc/booth/" before save conf file.
* Thu Dec  4 2014 jreidinger@suse.com
- remove X-KDE-Library from desktop file (bnc#899104)
* Fri Aug 22 2014 nwang@suse.com
- BNC#892900. Adjust English Software Strings of window's title.
- Version 3.1.7
* Thu Jul 10 2014 nwang@suse.com
- BNC#886541. Modify the non standard English message ID.
- Version 3.1.6
* Tue Jul  8 2014 nwang@suse.com
- BNC#885955. Support multiple arbitrators in one conf.
- Version 3.1.5
* Thu Jun 26 2014 nwang@suse.com
- BNC#882820 & BNC#882788. Support multiple confs configure in
  one node. Create a new SCR agent to make new SLE12 configuration
  file format compatible.
- Version 3.1.4
* Tue Jun 10 2014 nwang@suse.com
- BNC#881219. Add firewall service file.
- Version 3.1.3
* Tue May 27 2014 nwang@suse.com
- Using same spec file of ibs and obs.
- Version 3.1.2
* Fri May  9 2014 nwang@suse.com
- BNC#875677. Modify desktop file. Change name from CamelCasing to
  two separate words.
* Thu Dec  5 2013 dmzhang@suse.com
- initial version
